RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1509347 - cleanallruv task is not logging any information [rhel-7.4.z]
Summary: cleanallruv task is not logging any information [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: Viktor Ashirov
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1509016
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-03 15:25 UTC by Oneata Mircea Teodor
Modified: 2020-12-14 10:46 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.6.1-24
Doc Type: Bug Fix
Doc Text:
Previously, the cleanAllRUV task did not log any information. As a consequence, troubleshooting the task was difficult. This update enables logging for the cleanAllRUV, and the described problem no longer occurs.
Clone Of: 1509016
Environment:
Last Closed: 2017-11-30 15:59:18 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3317 0 normal SHIPPED_LIVE 389-ds-base bug fix update 2017-11-30 20:18:12 UTC

Description Oneata Mircea Teodor 2017-11-03 15:25:28 UTC
This bug has been copied from bug #1509016 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 6 Viktor Ashirov 2017-11-20 00:14:07 UTC
Build tested:
389-ds-base-1.3.6.1-24.el7_4.x86_64

After running cleanallruv task, I see in the logs progress information:

slapd-master3/errors:58:[19/Nov/2017:19:09:33.097224123 -0500] - INFO - NSMMReplicationPlugin - multimaster_extop_cleanruv - CleanAllRUV Task - Launching cleanAllRUV thread...                                                                
slapd-master3/errors:59:[19/Nov/2017:19:09:33.108064117 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Cleaning rid (4)...                                                                                                  
slapd-master3/errors:60:[19/Nov/2017:19:09:33.109219600 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Waiting to process all the updates from the deleted replica...                                                       
slapd-master3/errors:61:[19/Nov/2017:19:09:33.109703118 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Waiting for all the replicas to be online...                                                                         
slapd-master3/errors:62:[19/Nov/2017:19:09:33.113789337 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Waiting for all the replicas to receive all the deleted replica updates...                                           
slapd-master3/errors:63:[19/Nov/2017:19:09:33.117758867 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Sending cleanAllRUV task to all the replicas...                                                                      
slapd-master3/errors:64:[19/Nov/2017:19:09:33.123901184 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Cleaning local ruv's...                                                                                              
slapd-master3/errors:65:[19/Nov/2017:19:09:34.128116785 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Waiting for all the replicas to be cleaned...                                                                        
slapd-master3/errors:66:[19/Nov/2017:19:09:34.135245370 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Waiting for all the replicas to finish cleaning...                                                                   
slapd-master3/errors:67:[19/Nov/2017:19:09:34.139551452 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): No Keep-Alive entry to remove (cn=repl keep alive 4,dc=example,dc=com)                                               
slapd-master3/errors:68:[19/Nov/2017:19:09:34.140099971 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Cleaning agmt...                                                                                                     
slapd-master3/errors:69:[19/Nov/2017:19:09:34.243802692 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Cleaning agmt...                                                                                                     
slapd-master3/errors:70:[19/Nov/2017:19:09:34.347495613 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Cleaned replication agreements.                                                                                      
slapd-master3/errors:71:[19/Nov/2017:19:09:34.348287917 -0500] - INFO - NSMMReplicationPlugin - CleanAllRUV Task (rid 4): Successfully cleaned rid(4).    

Marking as VERIFIED.

Comment 9 errata-xmlrpc 2017-11-30 15:59:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3317


Note You need to log in before you can comment on or make changes to this bug.